Subject: Re: bug#69712: Package author/maintainer printing fix

From: Juri Linkov <[email-masked]>
Date: Tue, 14 May 2024 09:47:06 +0300

unarchive 69712
thanks

>> I suggest the following fix instead.
>> Can you confirm that it fixes the problem for you as well?
>>
>> diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
>> @@ -2941,7 +2941,7 @@ describe-package-1
>>          (insert " "))
>>        (insert "\n"))
>>      (when maintainers
>> -      (unless (proper-list-p maintainers)
>> +      (when (stringp (car maintainers))
>>          (setq maintainers (list maintainers)))
>
> I confirm this completely fixes the problem.

I found a new related problem: for example, opening the description of
the MELPA package 'highlight' fails because its maintainers data is
a cons with a nil:

  (:maintainers (nil . "Drew Adams (concat \"drew.adams\" \"@\" \"oracle\" \".com\")"))